version: '3.9'

services:
  tfdemo-database:
    image: mariadb:10.7.4
    container_name: tfdemo_database
    environment:
      - MYSQL_ALLOW_EMPTY_PASSWORD=yes
      - MYSQL_USER=tfdemo
      - MYSQL_PASSWORD=pass
      - MYSQL_DATABASE=tfdemo
    volumes:
      - database_data1:/var/lib/mysql
    networks:
      - tfdemo
    expose:
      - 3306

  tfdemo-api:
    build:
      context: ./backend
      dockerfile: ./.docker/php/Dockerfile
    image: tfdemo_backend
    container_name: tfdemo-api
    command: ["/start_api.sh"]
    expose:
      - 9000
    volumes:
      - './backend:/var/www/symfony'
    depends_on:
      - tfdemo-database
    networks:
      - tfdemo

  tfdemo-crontab:
    build:
      context: ./backend
      dockerfile: ./.docker/php/Dockerfile
    container_name: tfdemo-crontab
    command: ["/start_crontab.sh"]
    volumes:
      - './backend:/var/www/symfony'
    depends_on:
      - tfdemo-database
    networks:
      - tfdemo

  tfdemo-nginx:
    build:
      context: ./backend
      dockerfile: ./.docker/nginx/Dockerfile
    container_name: tfdemo-nginx
    environment:
      - NGINX_BACKEND_DOMAIN=_
    ports:
      - "8080:80"
    networks:
      - tfdemo
    volumes:
      - './backend:/var/www/symfony'
    depends_on:
      - tfdemo-api

  tfdemo-frontend:
    build:
      context: ./frontend
      dockerfile: ./.docker/nginx/Dockerfile
    container_name: tfdemo-frontend
    ports:
      - "8081:80"
    networks:
      - tfdemo
    volumes:
      - './frontend/build:/usr/share/nginx/html'

volumes:
  database_data1: ~

networks:
    tfdemo: